DataCubeController Class |
Namespace: Dundas.BI.WebApi.Controllers
The DataCubeController type exposes the following members.
| Name | Description | |
|---|---|---|
| DataCubeController |
Initializes a new instance of the DataCubeController class.
|
| Name | Description | |
|---|---|---|
| AddSelectTransform | POST /DataCube/SelectTransform/
Adds a new select transform to the data cube.
| |
| BuildStorage | POST /DataCube/BuildStorage/{id}
Starts processing the data cube into the data cube's storage option. This call will not wait for the processing to finish to return.
| |
| ChangeAnalysisElementVisibility | PUT /DataCube/AnalysisElementVisible/{id}
Shows or hides an analysis element within the data cube.
| |
| ClearDataResultCache | POST /DataCube/ClearDataResultCache/{id}
Clears all the results based on the specified cube from the data result cache.
| |
| ConnectTransform | POST /DataCube/ConnectTransform/
Connect two transforms together.
| |
| CreateParameter | POST /DataCube/Parameter/{id}
Creates a new parameter on the transform. Parameters for Output Element filtering or Transform setting can be created.
| |
| DeleteParameter | DELETE /DataCube/Parameter/{id}
Deletes a parameter on the transform.
| |
| DeletePlaceholder | DELETE /DataCube/Placeholder/{id}
Deletes a placeholder on the transform.
| |
| DeleteRelationship | DELETE /DataCube/Relationships/{id}
Deletes the relationship by join for the given data cube.
| |
| DisconnectTransform | POST /DataCube/DisconnectTransform/
Disconnect the output data connector of a transform.
| |
| DiscoverColumns | POST /DataCube/DiscoverColumns/{id}
Refreshes the elements of the specified transform on a data cube.
| |
| EnsureCallerContext |
If the current context is not already the specified context, creates a new caller context which is
a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.) | |
| EnsureFormFileMultipartContent |
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.) | |
| GenerateDataCube | POST /DataCube/
Generates a new data cube.
| |
| GetClientIdFromCookieOrProvided |
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| GetCustomConfigurationUI | GET /DataCube/CustomConfigurationUI/{id}
Gets the custom configuration UI for the specified transform in the system.
| |
| GetDataCube | GET /DataCube/{id}
Gets a data cube.
| |
| GetDataCubeAndChildren | GET /DataCube/DataCubeAndChildren/{id}
Retrieves a data cube and it's parent cubes.
| |
| GetDataCubeAndParents | GET /DataCube/DataCubeAndParents/{id}
Retrieves a data cube and it's parent cubes.
| |
| GetDataCubeInfos | POST /DataCube/DataCubeInfos/
Gets the collection of DataCubeInfoData for the specified IDs.
| |
| GetRelationships | GET /DataCube/Relationships/{id}
Gets the relationships for the given data cube.
| |
| GetSchedule | GET /DataCube/Schedule/{id}
Gets the schedule for the data cube.
| |
| GetServiceT |
Gets the requested service.
(Inherited from ApiControllerBase.) | |
| GetSessionIdFromCookieHeaderOrProvided |
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| InsertTransform | POST /DataCube/Transform/{id}
Inserts the specified transform into a data cube.
| |
| LoadSession |
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.) | |
| PreviewTransform | POST /DataCube/PreviewTransform/{id}
Gets preview data for the specified transform from a data cube.
| |
| PreviewTransformStatistics | POST /DataCube/PreviewTransformStatistics/{id}
Gets preview statistics for the specified transform from a data cube.
| |
| QueryDataCubeInfos | GET /DataCube/QueryDataCubeInfos/
Gets the collection of DataCubeInfoData for the specified project and tenant ID.
| |
| RefreshTransform | PUT /DataCube/RefreshTransform/{id}
Refreshes the elements of the specified transform on a data cube.
| |
| RemoveSchedule | DELETE /DataCube/Schedule/{id}
Removes the schedule from the specified data cube.
| |
| RemoveTenantCubeOverride | DELETE /DataCube/RemoveTenantCubeOverride/
Removes a tenant processing schedule override.
| |
| RemoveTransform | DELETE /DataCube/Transform/{id}
Removes the specified transform from a data cube.
| |
| ReplaceElementNames | POST /DataCube/ReplaceElementNames/{id}
Replaces the element names on a select transform. This is used to change an element to use a different native column.
| |
| ReplaceStructure | POST /DataCube/ReplaceStructure/{id}
Replaces the structure of a select transform. This is used to change one structure with another to effectively replace the source of a select transform.
| |
| RequestBridgeParameter | POST /DataCube/BridgeParameter/{id}
Creates a new bridge parameter to be created on the data process.
| |
| RequestFirstFormFile |
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.) | |
| RequestFormFiles |
Retrieves the form files from the request.
(Inherited from ApiControllerBase.) | |
| RestoreUndoFrame | POST /DataCube/RestoreUndoFrame/{id}
Restores the data cube to the given undo frame ID.
| |
| ReturnInvalidWindowsIdentityResponse |
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.) | |
| SaveResultConnector | POST /DataCube/ResultConnectorElement/
Updates the result connector element with the options sent.
| |
| ScheduleDataWarehouseCubes | PUT /DataCube/ScheduleDataWarehouseCubes/
Configure data warehousing storage and the referenced cubes processing priorities for the specified data cubes.
| |
| ScheduleInMemoryCubes | PUT /DataCube/ScheduleInMemoryCubes/
Configure in-memory storage and the referenced cubes processing priorities for the specified data cubes.
| |
| ScheduleStorage | POST /DataCube/Schedule/{id}
Creates a scheduled task for storing the data cube in the warehouse or in-memory.
| |
| ScheduleTenantCubeOverride | PUT /DataCube/ScheduleTenantCubeOverride/
Configure a tenant processing schedule override.
| |
| SetupCubeReferencesProcess | PUT /DataCube/SetupCubeReferencesProcess/
Configure the referenced cubes processing priorities for the specified data cubes.
| |
| TestBridgeParameterScript | POST /DataCube/TestBridgeParameterScript/
Tests a bridge parameter's attached parameter information script by passing a value and seeing if a parameter value is returned or an error is raised.
| |
| TestHierarchyPromotion | PUT /DataCube/TestHierarchyPromotion/{id}
Tests to see whether a hierarchy promotion is compatible.
| |
| UpdateDataCube | PUT /DataCube/{id}
Updates a data cube.
| |
| UpdateDataCubeStorageType | PUT /DataCube/DataCubeStorageType/{id}
Updates the storage type of the specified data cube.
| |
| UpdateRelationships | PUT /DataCube/Relationships/{id}
Updates the relationships for the given data cube and transform.
| |
| UpdateTransform | PUT /DataCube/Transform/{id}
Updates the specified transform on a data cube.
|